| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
Digikam::NetworkManager Class Reference
Inheritance diagram for Digikam::NetworkManager:

## Public Member Functions
QNetworkAccessManager * | getNetworkManager (QObject *const object) const
| Get the current QNetworkAccessManager or create a new QNetworkAccessManager if the passed QObject runs on a different thread.

## Static Public Member Functions
static NetworkManager * | instance ()
| Global instance of internal network manager.

## Member Function Documentation

## ◆ instance()

NetworkManager * Digikam::NetworkManager::instance | ( |  | ) |
| static

All accessor methods are thread-safe.